Install the PHP API client

Install

Install the package via Composer:

composer require algolia/algoliasearch-client-php

Without Composer

  1. Download the client from GitHub and unzip it in your project
  2. Inside the client root folder, execute ./bin/install-dependencies-without-composer
  3. In your code, require the autoload.php in the client root folder

Supported platforms

The API client is compatible with PHP version 5.3 and later.

Language-specific notes

If you’re a Symfony or Laravel user, you’re probably looking for the following integrations: